Skip to main content
POST
/
api
/
v1
/
agents
/
{agent_id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK();

async function run() {
  const result = await sdk.agents.updateAgent({
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
  }, {
    agentId: "<id>",
    updateAgentRequest: {
      model: "functionary-pt",
    },
  });

  console.log(result);
}

run();
{
  "object": "agent",
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "model": "functionary-pt",
  "instructions": "<string>",
  "tools": [
    {
      "type": "web_search",
      "search_context_size": "low",
      "user_location": {
        "type": "approximate",
        "city": "<string>",
        "country": "<string>",
        "region": "<string>",
        "timezone": "<string>"
      },
      "filters": {
        "allowed_domains": [
          "<string>"
        ]
      }
    }
  ],
  "tool_choice": "<string>",
  "parallel_tool_calls": true,
  "max_tool_calls": 123,
  "text": {
    "format": {
      "type": "text"
    },
    "verbosity": "low"
  },
  "reasoning": {
    "effort": "low"
  },
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required

Body

application/json
name
string
Required string length: 1 - 120
description
string | null
Maximum string length: 2000
model
string
Minimum string length: 1
Example:

"functionary-pt"

instructions
string | null
Maximum string length: 20000
tools
object[]
tool_choice
parallel_tool_calls
boolean
max_tool_calls
integer | null
Required range: 1 <= x <= 300
text
object
reasoning
object
metadata
object

Response

Updated agent.

object
enum<string>
required
Available options:
agent
id
string
required
name
string
required
description
string | null
required
model
string
required
Example:

"functionary-pt"

instructions
string | null
required
tools
object[]
required
tool_choice
required
parallel_tool_calls
boolean
required
max_tool_calls
integer | null
required
text
object
required
reasoning
object
required
metadata
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
required